summaryrefslogtreecommitdiff
path: root/gphoto2-config.in
diff options
context:
space:
mode:
authorScott Fritzinger <scottf@unr.edu>2000-07-07 22:57:18 +0000
committerScott Fritzinger <scottf@unr.edu>2000-07-07 22:57:18 +0000
commit2914ca3e7eb7077dbf6d296bd999ad6a583fabde (patch)
tree0527c828c5b9eb9c9613f413f2e9a5ee5c236047 /gphoto2-config.in
parent18628619c3efb3d1cfdf5d13df0d93c9bfd3d0c1 (diff)
downloadlibgphoto2-2914ca3e7eb7077dbf6d296bd999ad6a583fabde.tar.gz
added gphoto2-config script to make adding frontends and libraries easier
git-svn-id: https://svn.code.sf.net/p/gphoto/code/trunk/libgphoto2@634 67ed7778-7388-44ab-90cf-0a291f65f57c
Diffstat (limited to 'gphoto2-config.in')
-rw-r--r--gphoto2-config.in71
1 files changed, 71 insertions, 0 deletions
diff --git a/gphoto2-config.in b/gphoto2-config.in
new file mode 100644
index 000000000..788aca14c
--- /dev/null
+++ b/gphoto2-config.in
@@ -0,0 +1,71 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+
+usage()
+{
+ cat <<EOF
+Usage: gphoto2-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change libgpio prefix [default $prefix]
+ --libs print library linking information
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --version)
+ echo @PACKAGE@ @VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo -I@prefix@/include/gphoto2
+ ;;
+
+ --libs)
+ echo -L@libdir@ -lgphoto2
+ ;;
+
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0